import { ITaxLine, TShopifyObject } from "./types";
export declare function getTotalTax(taxLines: ITaxLine[]): number;
export declare function multiplyCash(amount: string, multiplier: number): number;
interface IObjectIdParams<T> {
    id: T;
    object: TShopifyObject;
}
export declare function getShopifyIdNumber({ id, object }: IObjectIdParams<string>): number;
export declare function formartId({ id, object }: IObjectIdParams<number>): string;
export declare function throttle<TInput, TReqReturn>(req: (val: TInput) => Promise<TReqReturn>, reqInputList: TInput[], limit?: number, wait?: number): Promise<PromiseSettledResult<TReqReturn>[]>;
export declare function getThrottleResValues<T>(res: PromiseSettledResult<T>[]): T[];
export declare function getFulfilledResults<T>(res: PromiseSettledResult<T>[]): PromiseFulfilledResult<T>[];
export declare function getShopifyDate(daysFromToday?: number): string;
export {};
